%define _requires_exceptions libc.so.6()(64bit)\\|libc.so.6(GLIBC_2.2.5)(64bit)\\|libc.so.6(GLIBC_2.4)(64bit)

%define _prefix	/usr

Name:		qastrocam
Version:	4.1.99.1
Release:	%mkrel 2
Summary:	Software to access Philips webcams
Source:		%{name}-%{version}.tar.xz
Source1:	%{name}.desktop
URL:		http://freshmeat.net/projects/qastrocam/
Group:		Hardware/Other
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	gcc-c++ qt3-devel SDL-devel
BuildRequires:	cfitsio cfitsio-devel rsync
BuildRequires:	autoconf automake libtool

%description
Qastrocam is a capture program that can work with any video4linux device.
Its main purpose is to do astrophotography. It can control a telescope
to do guiding with the images received from the video device. It can
also control the extended features of a webcam modified to do long
exposure (several seconds) captures.


%prep
%setup -q -n %{name}-%{version}

%build
export QT_BASE="%_prefix/lib/qt3"
export QTDIR="%_prefix/lib/qt3"
export PATH="%_prefix/lib/qt3/bin:$PATH"
%make LIB="%{_lib}" configure-mandriva-mt

pushd qastrolib
%make %{?jobs:-j%{jobs}}
popd
%make %{?jobs:-j%{jobs}}

%install
export QT_BASE="%_prefix/lib/qt3"
export QTDIR="%_prefix/lib/qt3"
export PATH="%_prefix/lib/qt3/bin:$PATH"
%make DESTDIR="%{buildroot}%{_prefix}" install
%__rm -rf "%{buildroot}%{_datadir}/doc/%{name}/API"
%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%__install -D -m0644 icons/%{name}-icon-color.png "%{buildroot}%{_datadir}/pixmaps/%{name}.png"

%clean
%__rm -rf "%{buildroot}"


%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%doc %{_datadir}/doc/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun Aug 01 2010 Texstar <texstara at gmail.com> 4.1.99.1-2pclos2010
- add better description
- 
* Sun Aug 01 2010 maik3531 <maik3531 at yahoo.de> 4.1.99.1-1pclos2010
- first build
